package zdb

func (d *Pool) WExec(sql string, args ...any) error {
	return d.qExec(d.SrvMaster, sql, args...)
}
func (d *Pool) WExecNamed(sql string, args map[string]any) error {
	newSql, newArgs := d.prepare(sql, args)

	return d.qExec(d.SrvMaster, newSql, newArgs...)
}
func (d *Pool) WExecOpts(opts Opts) error {
	sql, args := opts.Opts()
	newSql, newArgs := d.prepare(sql, args)

	return d.qExec(d.SrvMaster, newSql, newArgs...)
}

func (d *Pool) qExec(q *Conn, sql string, args ...any) error {
	_, err := q.Exec(d.ctx, sql, args...)

	return err
}
